<?php

namespace common\logic\Ticket\TicketMessage\Repository;

use common\logic\AbstractRepository;

class TicketMessageRepository extends AbstractRepository
{
    protected TicketMessageRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->loadQuery(TicketMessageRepositoryQuery::class);
    }

    /**
     * Retourne les options de base nécessaires à la fonction de recherche.
     */
    public function getDefaultOptionsSearch(): array
    {
        return [
            self::WITH => ['user', 'producer', 'ticketMessages'],
            self::JOIN_WITH => [],
            self::ORDER_BY => '',
            self::ATTRIBUTE_ID_PRODUCER => ''
        ];
    }
}